{ config, lib, pkgs, ... }:

let
  cfg = import ("/etc/nixos/machines/" + (builtins.replaceStrings ["\n"] [""] (builtins.readFile /etc/hostname)) + "/configuration.nix");
in {
  imports = [
    ./etc.nix
    ./locale.nix
    ./networking.nix
    ./nix.nix
    ./users.nix
    ./zsh.nix
    ] ++ (if cfg.conf.networking.hostName != "Ophanim" then [./fonts.nix] else [./security.nix]);
}
