{ config, lib, pkgs, ... }:

let
  cfg = import ("/etc/nixos/machines/" + (builtins.replaceStrings ["\n"] [""] (builtins.readFile /etc/hostname)) + "/configuration.nix");
in {
  networking = {
    hostName = cfg.conf.networking.hostName;
    # should probably add some etc file for this....
    firewall = {
      enable = true;
      allowPing = cfg.conf.networking.firewall.allowPing;
      allowedUDPPorts = cfg.conf.networking.firewall.allowedUDPPorts;
      allowedTCPPorts = cfg.conf.networking.firewall.allowedTCPPorts;
      allowedUDPPortRanges = cfg.conf.networking.firewall.allowedUDPPortRanges;
      allowedTCPPortRanges = cfg.conf.networking.firewall.allowedTCPPortRanges;
    };
  };
}
